.backdrop {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--backdrop-cl);
  z-index: 1000;
  transition: all 400ms ease;
  backdrop-filter: blur(5px);
}

.backdrop.is-hidden {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.backdrop.is-hidden .modal {
  transform: perspective(600px) translate(-50%, -101%) rotateX(45deg);
}

.modal {
  position: absolute;
  top: 50%;
  left: 50%;
  background-color: var(--bg-thead-cl);
  border-radius: 8px;
  border: 1px solid var(--border-cl);
  transition: all 400ms ease;
  padding: 40px;
  width: 450px;
  transform: perspective(600px) translate(-50%, -50%) rotateX(0deg);
}

@media screen and (max-width: 479px) {
  .modal {
    width: 290px;
    height: 450px;
    padding: 30px;
  }
}
@media screen and (min-width: 1200px) {
  .modal {
    width: 528px;
    height: 581px;
  }
}

.modal__btn {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  width: 30px;
  height: 30px;
  cursor: pointer;
  position: absolute;
  top: 8px;
  right: 8px;
  box-sizing: border-box;
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 50%;
  background-color: var(--hero-txt-cl);
  transition: all 250ms ease;
  color: var(--default-txt-cl);
}
.modal__btn:hover {
  color: var(--accent-txt-cl);
}

.modal__icon {
  fill: currentColor;
}

.modal-form {
  text-align: center;
}

.modal-form__discription {
  display: block;
  font-size: 20px;
  margin-bottom: 12px;
}
@media screen and (max-width: 479px) {
  .modal-form__discription {
    font-size: 15px;
  }
}

.modal-form__group {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-bottom: 30px;
}
@media screen and (max-width: 479px) {
  .modal-form__group {
    gap: 5px;
    margin-bottom: 5px;
  }
}
.modal-form__labelWrapper {
  width: 100%;
  display: flex;
}
.modal-form__field {
  width: inherit;
  position: relative;
  display: block;
}
.modal-form__field--comment {
  min-height: 135px;
}
.error-message-modal {
  position: absolute;
  right: 0;
  bottom: -22px;
}
.error-message-modal--comment {
  bottom: -15px;
}
.modal-form__input {
  color: var(--default-txt-cl);
  width: 100%;
  height: 40px;
  border: 1px solid var(--border-cl);
  border-radius: 8px;
  padding-left: 42px;
  background-color: var(--bg-table-cl);
  transition: border-color 250ms ease;
}
@media screen and (max-width: 479px) {
  .modal-form__input {
    height: 30px;
    padding-left: 32px;
  }
}
.modal-form__input:hover,
.modal-form__input:focus {
  border-color: var(--accent-txt-cl);
}
.modal-form__input:hover + .modal-form__icon {
  fill: var(--accent-txt-cl);
}

.modal-form__icon {
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal-form__icon {
  position: absolute;
  fill: var(--default-txt-cl);
  left: 12px;
  bottom: 11px;
  @media screen and (max-width: 479px) {
    left: 8px;
    bottom: 6px;
  }
}
@media screen and (max-width: 479px) {
  .modal-form__icon {
    left: 8px;
    bottom: 6px;
  }
}
.modal-form__input--comment {
  height: 120px;
  padding: 12px 16px;
  resize: none;
}
@media screen and (max-width: 479px) {
  .modal-form__input--comment {
    height: 70px;
    padding: 6px 10px;
  }

  .modal-form__input--comment::placeholder {
    font-size: 11px;
  }
}
.modal-form__input--comment::placeholder {
  color: var(--default-txt-cl);
  font-weight: 400;
  font-size: 14px;
  line-height: calc(16 / 14);
  letter-spacing: 0.01em;
}

.modal-form__comment {
  text-align: left;
  display: block;
  margin-bottom: 4px;
  font-size: 12px;
  line-height: calc(14 / 12);
  letter-spacing: 0.01em;
  color: var(--txt-cl-gray);
}

.modal-form__btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-weight: 700;
  font-size: 16px;
  line-height: calc(30 / 16);
  letter-spacing: 0.06em;
  padding: 10px 55px;
  color: var(--txt-cl-white);
  background-color: var(--default-btn-cl);
  border-radius: 8px;
  border: none;
  cursor: pointer;
  transition: all 250ms ease;
}
.modal-form__btn:hover {
  background-color: var(--default-btn-accent-cl);
}
